Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.content.workflow
Class WorkflowsIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WorkflowsID>
              com.bea.portal.tools.content.workflow.WorkflowsIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public class WorkflowsIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WorkflowsID>

Builds and parses `WorkflowsID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`WorkflowsIDBuilder()` Constructor.

Method Summary
`WorkflowsID` | `createResourceID()` Create the `WorkflowsID`.
`RepositoryID` | `getRepositoryID()` Deprecated use `getRepositoryInRepoModeID()`
`RepositoryInRepoModeID` | `getRepositoryInRepoModeID()` Get the `RepositoryInRepoModeID` of the repository.
`WorkflowsIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`WorkflowsIDBuilder` | `setRepositoryID(RepositoryID repositoryID)` Deprecated use `setRepositoryInRepoModeID(RepositoryInRepoModeID)`
`WorkflowsIDBuilder` | `setRepositoryInRepoModeID(RepositoryInRepoModeID repositoryID)` Change the `RepositoryInRepoModeID` of the repository.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkflowsIDBuilder

    public WorkflowsIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public WorkflowsIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WorkflowsID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getRepositoryID

    public RepositoryID getRepositoryID()

  Deprecated use `getRepositoryInRepoModeID()`

  Get the `RepositoryID` of the repository.

  Returns
    the `RepositoryID` of the repository

### getRepositoryInRepoModeID

    public RepositoryInRepoModeID getRepositoryInRepoModeID()

  Get the `RepositoryInRepoModeID` of the repository.

  Returns
    the `RepositoryInRepoModeID` of the repository

### setRepositoryID

    public WorkflowsIDBuilder setRepositoryID(RepositoryID repositoryID)

  Deprecated use `setRepositoryInRepoModeID(RepositoryInRepoModeID)`

  Change the `RepositoryInRepoModeID` of the repository.

  Parameters
    `repositoryID` - the `RepositoryInRepoModeID` of the repository
  Returns
    this `WorkflowsIDBuilder`

### setRepositoryInRepoModeID

    public WorkflowsIDBuilder setRepositoryInRepoModeID(RepositoryInRepoModeID repositoryID)

  Change the `RepositoryInRepoModeID` of the repository.

  Parameters
    `repositoryID` - the `RepositoryInRepoModeID` of the repository
  Returns
    this `WorkflowsIDBuilder`

### createResourceID

    public WorkflowsID createResourceID()

  Create the `WorkflowsID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<WorkflowsID>`
  Returns
    the `WorkflowsID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.